<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
	<key>Classes</key>
	<dict>
		<key>FTPDocument</key>
		<dict>
			<key>Attributes</key>
			<dict>
				<key>theirStuffPath</key>
				<dict>
					<key>Description</key>
					<string>The current path of their stuff.</string>
					<key>Name</key>
					<string>their stuff</string>
				</dict>
				<key>yourStuffPath</key>
				<dict>
					<key>Description</key>
					<string>The current path of your stuff.</string>
					<key>Name</key>
					<string>your stuff</string>
				</dict>
			</dict>
			<key>Description</key>
			<string>An FTP document.</string>
			<key>Name</key>
			<string>document</string>
			<key>PluralName</key>
			<string>documents</string>
		</dict>
		<key>TransmitApp</key>
		<dict>
			<key>Attributes</key>
			<dict>
				<key>suppressAppleScriptAlerts</key>
				<dict>
					<key>Description</key>
					<string>Set whether Transmit displays errors during AppleScript execution (on by default).</string>
					<key>Name</key>
					<string>suppress AppleScript alerts</string>
				</dict>
			</dict>
			<key>Description</key>
			<string>Transmit's top level scripting object</string>
			<key>Name</key>
			<string>application</string>
			<key>PluralName</key>
			<string>applications</string>
		</dict>
	</dict>
	<key>Commands</key>
	<dict>
		<key>Connect</key>
		<dict>
			<key>Arguments</key>
			<dict>
				<key>ConnectionTypes</key>
				<dict>
					<key>Description</key>
					<string>The connection type to use when connecting.</string>
					<key>Name</key>
					<string>with connection type</string>
				</dict>
				<key>InitialPath</key>
				<dict>
					<key>Description</key>
					<string>The initial path to change to after connection is made.</string>
					<key>Name</key>
					<string>with initial path</string>
				</dict>
				<key>Password</key>
				<dict>
					<key>Description</key>
					<string>The password to use when connecting.</string>
					<key>Name</key>
					<string>with password</string>
				</dict>
				<key>Port</key>
				<dict>
					<key>Description</key>
					<string>The network port to use when connecting.</string>
					<key>Name</key>
					<string>using port</string>
				</dict>
				<key>Server</key>
				<dict>
					<key>Description</key>
					<string>The server address to connect to.</string>
					<key>Name</key>
					<string>to</string>
				</dict>
				<key>UserName</key>
				<dict>
					<key>Description</key>
					<string>The user name to use when connecting.</string>
					<key>Name</key>
					<string>as user</string>
				</dict>
			</dict>
			<key>Description</key>
			<string>Connect to a specified server.</string>
			<key>Name</key>
			<string>connect</string>
		</dict>
		<key>CreateRemoteFolder</key>
		<dict>
			<key>Arguments</key>
			<dict>
				<key>Named</key>
				<dict>
					<key>Description</key>
					<string>The name for the new folder</string>
					<key>Name</key>
					<string>named</string>
				</dict>
			</dict>
			<key>Description</key>
			<string>Creates a new folder on the server</string>
			<key>Name</key>
			<string>create remote folder</string>
		</dict>
		<key>DeleteFile</key>
		<dict>
			<key>Arguments</key>
			<dict>
				<key>File</key>
				<dict>
					<key>Description</key>
					<string>The path of the file/folder you want to delete.</string>
					<key>Name</key>
					<string>item</string>
				</dict>
			</dict>
			<key>Description</key>
			<string>Deletes a file or folder on an FTP server</string>
			<key>Name</key>
			<string>delete remote</string>
		</dict>
		<key>Disconnect</key>
		<dict>
			<key>Description</key>
			<string>Disconnects from server</string>
			<key>Name</key>
			<string>disconnect</string>
		</dict>
		<key>Download</key>
		<dict>
			<key>Arguments</key>
			<dict>
				<key>File</key>
				<dict>
					<key>Description</key>
					<string>The path of the file/folder you want to download.</string>
					<key>Name</key>
					<string>item</string>
				</dict>
			</dict>
			<key>Description</key>
			<string>Download a file or folder</string>
			<key>Name</key>
			<string>download</string>
		</dict>
		<key>GetURL</key>
		<dict>
			<key>Description</key>
			<string>Open a URL</string>
			<key>Name</key>
			<string>get URL</string>
		</dict>
		<key>ListFiles</key>
		<dict>
			<key>Arguments</key>
			<dict/>
			<key>Description</key>
			<string>Returns a list of item names in the current their stuff path.</string>
			<key>Name</key>
			<string>list files</string>
		</dict>
		<key>OpenURL</key>
		<dict>
			<key>Description</key>
			<string>Open a URL (Internet Explorer form)</string>
			<key>Name</key>
			<string>open URL</string>
		</dict>
		<key>SetTheirStuff</key>
		<dict>
			<key>Arguments</key>
			<dict>
				<key>Path</key>
				<dict>
					<key>Description</key>
					<string>The remote path to display in Their Stuff.</string>
					<key>Name</key>
					<string>to</string>
				</dict>
			</dict>
			<key>Description</key>
			<string>Change remote path</string>
			<key>Name</key>
			<string>set their stuff</string>
		</dict>
		<key>SetYourStuff</key>
		<dict>
			<key>Arguments</key>
			<dict>
				<key>Path</key>
				<dict>
					<key>Description</key>
					<string>The local path to display in Your Stuff.</string>
					<key>Name</key>
					<string>to</string>
				</dict>
			</dict>
			<key>Description</key>
			<string>Change local path</string>
			<key>Name</key>
			<string>set your stuff</string>
		</dict>
		<key>Synchronize</key>
		<dict>
			<key>Arguments</key>
			<dict>
				<key>SyncDirections</key>
				<dict>
					<key>Description</key>
					<string>The synchronization direction used for updating.</string>
					<key>Name</key>
					<string>direction</string>
				</dict>
				<key>SyncMethods</key>
				<dict>
					<key>Description</key>
					<string>The synchronization method used for updating.</string>
					<key>Name</key>
					<string>method</string>
				</dict>
				<key>TimeOffset</key>
				<dict>
					<key>Description</key>
					<string>The time offset (in hours) of the server from your local computer's time.</string>
					<key>Name</key>
					<string>with time offset</string>
				</dict>
			</dict>
			<key>Description</key>
			<string>Updates file located on the destination, with files located on the source.</string>
			<key>Name</key>
			<string>synchronize</string>
		</dict>
		<key>Upload</key>
		<dict>
			<key>Arguments</key>
			<dict>
				<key>File</key>
				<dict>
					<key>Description</key>
					<string>The path of the file/folder you want to upload.</string>
					<key>Name</key>
					<string>item</string>
				</dict>
			</dict>
			<key>Description</key>
			<string>Upload a file or folder</string>
			<key>Name</key>
			<string>upload</string>
		</dict>
	</dict>
	<key>Description</key>
	<string>Transmit specific functionality</string>
	<key>Enumerations</key>
	<dict>
		<key>ConnectionTypes</key>
		<dict>
			<key>FTP </key>
			<dict>
				<key>Description</key>
				<string>Connect to server using standard FTP</string>
				<key>Name</key>
				<string>FTP</string>
			</dict>
			<key>SFTP</key>
			<dict>
				<key>Description</key>
				<string>Connect to server using secure FTP (SFTP)</string>
				<key>Name</key>
				<string>SFTP</string>
			</dict>
		</dict>
		<key>SyncDirections</key>
		<dict>
			<key>DownloadDir</key>
			<dict>
				<key>Description</key>
				<string>Synchronize Your Stuff to Their Stuff.</string>
				<key>Name</key>
				<string>download files</string>
			</dict>
			<key>UploadDir</key>
			<dict>
				<key>Description</key>
				<string>Synchronize Their Stuff to Your Stuff.</string>
				<key>Name</key>
				<string>upload files</string>
			</dict>
		</dict>
		<key>SyncMethods</key>
		<dict>
			<key>Mirror</key>
			<dict>
				<key>Description</key>
				<string>Copy newer files from source to destination, deleting any destination files not at the source.</string>
				<key>Name</key>
				<string>mirror</string>
			</dict>
			<key>Update</key>
			<dict>
				<key>Description</key>
				<string>Copy newer files from source to destination.</string>
				<key>Name</key>
				<string>update</string>
			</dict>
		</dict>
	</dict>
	<key>Name</key>
	<string>Transmit suite</string>
</dict>
</plist>
